Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
txpa
/
{year}
/
{month}
Get GSTR-1A TXPA
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/txpa/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "txpda": [
        {
          "flag": "N",
          "chksum": "ASDFGJKLPTKBBJKBB",
          "omon": "122016",
          "pos": "05",
          "sply_ty": "INTER",
          "itms": [
            {
              "rt": 5,
              "ad_amt": 100,
              "iamt": 9400,
              "csamt": 500
            }
          ]
        }
      ]
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return year, for example 2025.

month
string
required

Return month, for example 04.

Response

200 - application/json

Success

The response is of type object.